List attachments
GET/agreements/:agreement_id/documents/attachments
List all attachments for the agreement
Request
Path Parameters
GET /agreements/:agreement_id/documents/attachments parameter
Responses
- 200
- 400
GET /agreements/:agreement_id/documents/attachments Successful response
- application/json
- Schema
- Example (from schema)
Schema
- Array [
- MOD1
- MOD2
- ]
Possible values: [1.0]
The version of the response schema
Possible values: [list]
A non-paginated list of the attachment resource.
Possible values: [attachment]
Data contains the attachment resource.
data object[]required
The unique identifier of the attachment
Possible values: [attachment]
The unique identifier of the agreement which this attachment belongs to
Possible values: <= 9007199254740991
The order of this attachment relative to the other attachments
file object required
string
Possible values: [1.0]
The version of the response schema
Possible values: [single]
A single object of the file resource.
Possible values: [file]
Data contains the file resource.
data objectrequired
The resource data.
The unique identifier of the file
Possible values: [file]
Possible values: non-empty
The complete filename including the file extension
Possible values: non-empty
The mime type of the file
The signed read url of the file
metadata object
A provided lookup key provided by you to help you identify the file.
UTC datetime ISO string
UTC datetime ISO string
UTC datetime ISO string
UTC datetime ISO string
{
"version": "1.0",
"result_type": "list",
"resource_type": "attachment",
"data": [
{
"id": "ccjoosftyyvwonddy8eexample",
"resource_type": "attachment",
"agreement": "c9fmmz3yy6702mndaewexample",
"order": 1,
"file": "c3dze8egrffnyf7iyd4example",
"created_at": "2024-01-01T00:00:00.000Z",
"updated_at": "2024-01-01T00:00:00.000Z"
}
]
}
GET /agreements/:agreement_id/documents/attachments Error response
- application/json
- Schema
- Example (from schema)
Schema
Possible values: [error]
error objectrequired
Possible values: [input_validation_error, bad_request, authorization_error, forbidden_error, not_found_error, conflict_error, internal_server_error]
input_validation_error (400): the request input is invalid. bad_request (400): the request cannot be processed. authorization_error (401): the access token is missing or invalid. forbidden_error (403): the client is not allowed to perform the request. not_found_error (404): the resource does not exist. conflict_error (409): a concurrent change made the request invalid, e.g. the agreement stopped being editable while the request was processed. Re-fetch the resource before retrying. internal_server_error (500): an unexpected error occurred.
Possible values: >= 400 and <= 599
{
"status": "error",
"error": {
"type": "input_validation_error",
"code": 0,
"message": "string",
"request_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6"
}
}